Subject: bug#78520: 31.0.50; Performance issue in dired+isearch with dired-isearch-filenames

From: Michael Heerdegen <[email-masked]>
Date: Mon, 02 Jun 2025 01:10:18 +0200

Juri Linkov <[email-masked]> writes:

> Thanks for the idea of optimization.  Now it's pushed to master.
> Please check if everything is correct.

Thanks for the patch.

I did not face errors so far but... is it now really faster than before?
I tried M-s f C-s in a huge dired buffer in emacs -Q, and it was
horribly slow.  Slower than with the hack I had been using.  I did not
yet try to have a closer look at your code I must admit.  Did you see a
speed improvement?

Michael.